=== debian/changelog ===
otpw (1.5-5) unstable; urgency=medium

  * add gcc15.patch (Closes: #1097531)
    (do really close this now)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 08 Sep 2025 10:22:19 +0200

otpw (1.5-4) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 07 Sep 2025 10:22:19 +0200

otpw (1.5-3) unstable; urgency=medium

  * debian/control: use dh 13
  * debian/control: bump standard to 4.7.0
  * debian/control: add Rules-Requires-Root: no
  * Install PAM module into /usr. (Closes: #1063622)
  * Use Multi-Arch paths.
    Thanks to Michael Biebl for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 29 May 2024 22:22:19 +0200

otpw (1.5-2) sid; urgency=medium

  * debian/control: use dh 11
  * debian/control: bump standard to 4.3.0
  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Jan 2019 18:22:19 +0100

otpw (1.5-1) unstable; urgency=medium

  * new upstream version
  * adopt package (Closes: #762543)
  * apply patches from Jari Aalto (Closes: #669697)
  * apply patches from Ludovic Stordeur (Closes: #855938)
  * use dh 10
  * bump standard to 4.0.0
  * take care of hardening flags

  [Ludovic Stordeur]
  * New upstream release
  * Add patch: 01-fix-pam-otpw-linking
  * Add patch: 02-fix-pam-otpw-useless-deps
  * Add patch: 03-fix-makefile-pamlib-variable
  * Add patch: 04-fix-signed-vs-unsigned-comparison
  * Update to Standards-Version 3.9.6
  * Removed 01-pam-otpw-8.patch: applied upstream

  [Jari Aalto]
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.
  * Add build-arch and build-indep targets; use dh_prep in rules file.
  * Fix copyright-refers-to-symlink-license (Lintian).
  * Fix copyright-with-old-dh-make-debian-copyright (Lintian).
  * Fix binary-control-field-duplicates-source (Lintian).
  * Fix debian-rules-ignores-make-clean-error (Lintian).
  * Fix no-homepage-field (Lintian).
  * Fix debian-watch-contains-dh_make-template (Lintian).

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 23 Jun 2017 18:22:19 +0200

otpw (1.3-2) unstable; urgency=low

  * Update maintainer address

 -- Matthew Johnson <mjj29@debian.org>  Wed, 05 Dec 2007 10:26:26 +0000

otpw (1.3-1) unstable; urgency=low

  * Initial release (Closes: #414686)
  * Patch pam_otpw.8 to be in section 8
  * Clarify licence

 -- Matthew Johnson <debian@matthew.ath.cx>  Sun, 29 Jul 2007 11:27:43 +0100
