=== debian/control ===
Source: otpw
Priority: optional
Section: libs
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13)
	, libpam-dev
Standards-Version: 4.7.2
#Testsuite: autopkgtest
Homepage: https://www.cl.cam.ac.uk/~mgk25/otpw.html
Vcs-Browser: https://salsa.debian.org/alteholz/otpw
Vcs-Git: https://salsa.debian.org/alteholz/otpw.git
Rules-Requires-Root: no

Package: libotpw-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}
Recommends: otpw-bin
Multi-Arch: same
Description: OTPW library development files and documentation
 OTPW is a one-time password system which is robust against
 the password list being stolen and race for the last digit
 attacks.
 .
 This package contains the development files needed to write
 programs using OTPW and the documentation of the OTPW system.

Package: libpam-otpw
Architecture: any
Recommends: otpw-bin
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Use OTPW for PAM authentication
 OTPW is a one-time password system which is robust against
 the password list being stolen and race for the last digit
 attacks.
 .
 This package contains the PAM library to use OTPW in any
 program which uses PAM.

Package: otpw-bin
Section: admin
Architecture: any
Suggests: libpam-otpw
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OTPW programs for generating OTPW lists
 OTPW is a one-time password system which is robust against
 the password list being stolen and race for the last digit
 attacks.
 .
 This package contains the programs used to setup OTPW for
 a user and generate the password lists.
