=== debian/watch ===
version=4
https://www.cl.cam.ac.uk/~mgk25/download/otpw-([\.0-9]*)\.tar\.gz
